<?php

//
// phpIpacstats - A web frontend for ipac[-ng]
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// $Id: image.php,v 1.8 2002/11/29 00:31:11 friedl Exp $
// file: image.php 
// function: return the png image that is passed in the $image parameter 
//           with some extra http headers to prevent caching and force 
//           reload by the browser.
//           only returns .png files from $data_dir directory for security 
//	     reasons. 

require('config.php');

$image_notfound="notfound.png";

function send_image($file) {
    header("Pragma: no-cache");
    header("Expires: 0");

    if (ereg("\.png$",$file))
	header("Content-Type: image/png");
    else
	header("Content-Type: image/gif");

    $fp = fopen($file, 'rb');
    $content = fread($fp, filesize($file));
    header("Content-Length: " . strlen($content));
    printf("%s",$content);
}

$found = false; $no_cache = true;
if (ereg("^$data_dir/.+\.(png|gif)$",$image)) {
    if (is_readable($image)) 
	$found = true;
}
if (!$found && is_readable($image_notfound)) {
    $found = true;
    $image = $image_notfound;
}
if ($found)
    send_image($image);

?>